[26276] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r25485 - trunk/debathena/scripts/installer

daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Mon May 7 20:20:10 2012

Date: Mon, 7 May 2012 20:20:09 -0400
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201205080020.q480K9Ne032235@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: jdreed
Date: 2012-05-07 20:20:08 -0400 (Mon, 07 May 2012)
New Revision: 25485

Modified:
   trunk/debathena/scripts/installer/install-debathena.beta.sh
Log:
EOL older distributions; display a warning for beta ones.

Modified: trunk/debathena/scripts/installer/install-debathena.beta.sh
===================================================================
--- trunk/debathena/scripts/installer/install-debathena.beta.sh	2012-05-07 23:45:56 UTC (rev 25484)
+++ trunk/debathena/scripts/installer/install-debathena.beta.sh	2012-05-08 00:20:08 UTC (rev 25485)
@@ -62,9 +62,25 @@
 case $distro in
   squeeze)
     ;;
-  hardy|intrepid|jaunty|karmic|lucid|maverick|natty|oneiric)
+  hardy|lucid|natty|oneiric)
     ubuntu=yes
     ;;
+  precise)
+    ubuntu=yes
+    output "The release you have selected is not fully supported"
+    output "and installing Debathena on it is probably a bad idea."
+    ask "Are you sure you want to proceed? [y/N] " n
+    if [ y != "$answer" ]; then
+	exit 1
+    fi
+    ;;
+  lenny|intrepid|jaunty|karmic|maverick)
+    error "The release you are running is no longer supported."
+    error "Generally, Debathena de-supports releases when they are no longer"
+    error "supported by upstream.  If you believe you received this message"
+    error "in error, please contact debathena@mit.edu."
+    exit 1
+    ;;
   *)
     error "Unsupported release codename: $distro"
     error "Sorry, Debathena does not support installation on this release at this time."


home help back first fref pref prev next nref lref last post